/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the IceBreakerCallToActionsInner type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &IceBreakerCallToActionsInner{}

// IceBreakerCallToActionsInner struct for IceBreakerCallToActionsInner
type IceBreakerCallToActionsInner struct {
	Question *string `json:"question,omitempty"`
	Payload *string `json:"payload,omitempty"`
}

// NewIceBreakerCallToActionsInner instantiates a new IceBreakerCallToActionsInner object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewIceBreakerCallToActionsInner() *IceBreakerCallToActionsInner {
	this := IceBreakerCallToActionsInner{}
	return &this
}

// NewIceBreakerCallToActionsInnerWithDefaults instantiates a new IceBreakerCallToActionsInner object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewIceBreakerCallToActionsInnerWithDefaults() *IceBreakerCallToActionsInner {
	this := IceBreakerCallToActionsInner{}
	return &this
}

// GetQuestion returns the Question field value if set, zero value otherwise.
func (o *IceBreakerCallToActionsInner) GetQuestion() string {
	if o == nil || IsNil(o.Question) {
		var ret string
		return ret
	}
	return *o.Question
}

// GetQuestionOk returns a tuple with the Question field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *IceBreakerCallToActionsInner) GetQuestionOk() (*string, bool) {
	if o == nil || IsNil(o.Question) {
		return nil, false
	}
	return o.Question, true
}

// HasQuestion returns a boolean if a field has been set.
func (o *IceBreakerCallToActionsInner) HasQuestion() bool {
	if o != nil && !IsNil(o.Question) {
		return true
	}

	return false
}

// SetQuestion gets a reference to the given string and assigns it to the Question field.
func (o *IceBreakerCallToActionsInner) SetQuestion(v string) {
	o.Question = &v
}

// GetPayload returns the Payload field value if set, zero value otherwise.
func (o *IceBreakerCallToActionsInner) GetPayload() string {
	if o == nil || IsNil(o.Payload) {
		var ret string
		return ret
	}
	return *o.Payload
}

// GetPayloadOk returns a tuple with the Payload field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *IceBreakerCallToActionsInner) GetPayloadOk() (*string, bool) {
	if o == nil || IsNil(o.Payload) {
		return nil, false
	}
	return o.Payload, true
}

// HasPayload returns a boolean if a field has been set.
func (o *IceBreakerCallToActionsInner) HasPayload() bool {
	if o != nil && !IsNil(o.Payload) {
		return true
	}

	return false
}

// SetPayload gets a reference to the given string and assigns it to the Payload field.
func (o *IceBreakerCallToActionsInner) SetPayload(v string) {
	o.Payload = &v
}

func (o IceBreakerCallToActionsInner) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o IceBreakerCallToActionsInner) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Question) {
		toSerialize["question"] = o.Question
	}
	if !IsNil(o.Payload) {
		toSerialize["payload"] = o.Payload
	}
	return toSerialize, nil
}

type NullableIceBreakerCallToActionsInner struct {
	value *IceBreakerCallToActionsInner
	isSet bool
}

func (v NullableIceBreakerCallToActionsInner) Get() *IceBreakerCallToActionsInner {
	return v.value
}

func (v *NullableIceBreakerCallToActionsInner) Set(val *IceBreakerCallToActionsInner) {
	v.value = val
	v.isSet = true
}

func (v NullableIceBreakerCallToActionsInner) IsSet() bool {
	return v.isSet
}

func (v *NullableIceBreakerCallToActionsInner) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableIceBreakerCallToActionsInner(val *IceBreakerCallToActionsInner) *NullableIceBreakerCallToActionsInner {
	return &NullableIceBreakerCallToActionsInner{value: val, isSet: true}
}

func (v NullableIceBreakerCallToActionsInner) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableIceBreakerCallToActionsInner) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


